Debian Bug report logs - #156365
frozen-bubble doesn't start because of vorbis fuckage

version graph

Package: libvorbis0; Maintainer for libvorbis0 is (unknown);

Reported by: Adam Heath <doogie@debian.org>

Date: Mon, 12 Aug 2002 04:33:01 UTC

Severity: serious

Tags: sarge

Merged with 156227, 161961, 178756

Found in version 1.0.0-1

Fixed in version libvorbis/1.0.0-2

Done: Christopher L Cheney <ccheney@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>, libvorbis@packages.qa.debian.org:
Bug#156365; Package libvorbis0. Full text and rfc822 format available.

Acknowledgement sent to Adam Heath <doogie@debian.org>:
New Bug report received and forwarded. Copy sent to Christopher L Cheney <ccheney@debian.org>, libvorbis@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@debian.org>
To: <submit@bugs.debian.org>
Subject: frozen-bubble doesn't start because of vorbis fuckage
Date: Sun, 11 Aug 2002 23:17:17 -0500 (CDT)
package: libvorbis0
version: 1.0.0-1
severity: serious

bash-2.05a$ frozen-bubble
Can't load '/usr/lib/perl5/auto/SDL_perl/SDL_perl.so' for module SDL_perl:
libvorbisfile.so.0: cannot open shared object file: No such file or directory
at /usr/lib/perl/5.6.1/DynaLoader.pm line 202.
 at /usr/lib/perl5/SDL.pm line 9
Compilation failed in require at /usr/lib/perl5/SDL.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/SDL.pm line 9.
Compilation failed in require at /usr/lib/perl5/SDL/App.pm line 11.
BEGIN failed--compilation aborted at /usr/lib/perl5/SDL/App.pm line 11.
Compilation failed in require at /usr/games/frozen-bubble line 45.
BEGIN failed--compilation aborted at /usr/games/frozen-bubble line 45.

You can *NOT* split a library package like that.  Make the new version of the
libvorbis0 package conflict(versioned) with all other packages that link
against it.

It's the split to libvorbisfile that is causing the breakage.  It's not
frozen-bubble's fault, nor the fault of libsdl-perl.

ps: this package breaks others, so gets a serious tag.





Severity set to `important'. Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Adam Heath <doogie@debian.org>:
Bug#156365. Full text and rfc822 format available.

Message #10 received at 156365-submitter@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: Christopher L Cheney <ccheney@debian.org>
Cc: 156227@bugs.debian.org, <control@bugs.debian.org>, <debian-devel@lists.debian.org>, <156365-submitter@bugs.debian.org>
Subject: Lowering the severity doesn't fix libvorbis0
Date: Fri, 16 Aug 2002 22:52:15 +0200 (CEST)
severity 156227 grave
thanks

Hi Christopher,

please explain why you think that it's not RC that packages depending
libvorbis0 no longer run when upgrading libvorbis0 (the problem is similar
to the recent libc6 <-> db breakage that will be fixed by a dependency of
libc6 on libdb1-compat)?

Your lowering of the severity to get your broken package into testing
(it's now in testing...) is _not_ a solution.

cu
Adrian

-- 

You only think this is a free country. Like the US the UK spends a lot of
time explaining its a free country because its a police state.
								Alan Cox




Severity set to `serious'. Request was from Josselin Mouette <josselin.mouette@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 156227 156365 161961 178756. Request was from Josselin Mouette <josselin.mouette@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Christopher L Cheney <ccheney@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adam Heath <doogie@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 156227-close@bugs.debian.org (full text, mbox):

From: Christopher L Cheney <ccheney@debian.org>
To: 156227-close@bugs.debian.org
Subject: Bug#156227: fixed in libvorbis 1.0.0-2
Date: Wed, 12 Mar 2003 18:07:54 -0500
We believe that the bug you reported is fixed in the latest version of
libvorbis, which is due to be installed in the Debian FTP archive:

libvorbis-dev_1.0.0-2_i386.deb
  to pool/main/libv/libvorbis/libvorbis-dev_1.0.0-2_i386.deb
libvorbis0a_1.0.0-2_i386.deb
  to pool/main/libv/libvorbis/libvorbis0a_1.0.0-2_i386.deb
libvorbis_1.0.0-2.diff.gz
  to pool/main/libv/libvorbis/libvorbis_1.0.0-2.diff.gz
libvorbis_1.0.0-2.dsc
  to pool/main/libv/libvorbis/libvorbis_1.0.0-2.dsc
libvorbisenc2_1.0.0-2_i386.deb
  to pool/main/libv/libvorbis/libvorbisenc2_1.0.0-2_i386.deb
libvorbisfile3_1.0.0-2_i386.deb
  to pool/main/libv/libvorbis/libvorbisfile3_1.0.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 156227@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christopher L Cheney <ccheney@debian.org> (supplier of updated libvorbis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  8 Mar 2003 13:00:00 -0600
Source: libvorbis
Binary: libvorbis0a libvorbis-dev libvorbisenc2 libvorbisfile3
Architecture: source i386
Version: 1.0.0-2
Distribution: unstable
Urgency: low
Maintainer: Christopher L Cheney <ccheney@debian.org>
Changed-By: Christopher L Cheney <ccheney@debian.org>
Description: 
 libvorbis-dev - Vorbis Library Development
 libvorbis0a - The Vorbis General Audio Compression Codec
 libvorbisenc2 - The Vorbis General Audio Compression Codec
 libvorbisfile3 - The Vorbis General Audio Compression Codec
Closes: 156227 156365 161961 171548 172466 172469 178756
Changes: 
 libvorbis (1.0.0-2) unstable; urgency=low
 .
   * Rename libvorbis0 -> libvorbis0a to keep packages from upgrading to it
     by mistake. (Closes: #156227, #156365, #161961, #171548, #172466,
     #172469, #178756)
   * GNU config automated update: config.sub (20020621 to 20030103),
     config.guess (20020529 to 20030110)
Files: 
 6d52f8a6d66ad3f478832c0f2cf34d5e 678 libs optional libvorbis_1.0.0-2.dsc
 84c2430ef6d2f422792b31cdcd70dab4 8197 libs optional libvorbis_1.0.0-2.diff.gz
 b78525bd2932d4d7936f3272050c9d80 64304 libs optional libvorbis0a_1.0.0-2_i386.deb
 77c0075f393d88f53d5851c34c12812b 78184 libs optional libvorbisenc2_1.0.0-2_i386.deb
 463d3c347c3b9605db2abfee2ea9815a 15838 libs optional libvorbisfile3_1.0.0-2_i386.deb
 63c983591d2f679b19f4fd5499a12721 461342 devel optional libvorbis-dev_1.0.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+akEo0QZas444SvIRAgZ/AJ47X/P3mfk+J8ZUEFk6pEJqdLb5UQCgmAEe
2MuEvMqr3wft/Mi49+6eb84=
=u1n1
-----END PGP SIGNATURE-----




Message #28 received at 156365-close@bugs.debian.org (full text, mbox):

From: Christopher L Cheney <ccheney@debian.org>
To: 156365-close@bugs.debian.org
Subject: Bug#156365: fixed in libvorbis 1.0.0-2
Date: Wed, 12 Mar 2003 18:07:54 -0500
We believe that the bug you reported is fixed in the latest version of
libvorbis, which is due to be installed in the Debian FTP archive:

libvorbis-dev_1.0.0-2_i386.deb
  to pool/main/libv/libvorbis/libvorbis-dev_1.0.0-2_i386.deb
libvorbis0a_1.0.0-2_i386.deb
  to pool/main/libv/libvorbis/libvorbis0a_1.0.0-2_i386.deb
libvorbis_1.0.0-2.diff.gz
  to pool/main/libv/libvorbis/libvorbis_1.0.0-2.diff.gz
libvorbis_1.0.0-2.dsc
  to pool/main/libv/libvorbis/libvorbis_1.0.0-2.dsc
libvorbisenc2_1.0.0-2_i386.deb
  to pool/main/libv/libvorbis/libvorbisenc2_1.0.0-2_i386.deb
libvorbisfile3_1.0.0-2_i386.deb
  to pool/main/libv/libvorbis/libvorbisfile3_1.0.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 156365@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christopher L Cheney <ccheney@debian.org> (supplier of updated libvorbis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  8 Mar 2003 13:00:00 -0600
Source: libvorbis
Binary: libvorbis0a libvorbis-dev libvorbisenc2 libvorbisfile3
Architecture: source i386
Version: 1.0.0-2
Distribution: unstable
Urgency: low
Maintainer: Christopher L Cheney <ccheney@debian.org>
Changed-By: Christopher L Cheney <ccheney@debian.org>
Description: 
 libvorbis-dev - Vorbis Library Development
 libvorbis0a - The Vorbis General Audio Compression Codec
 libvorbisenc2 - The Vorbis General Audio Compression Codec
 libvorbisfile3 - The Vorbis General Audio Compression Codec
Closes: 156227 156365 161961 171548 172466 172469 178756
Changes: 
 libvorbis (1.0.0-2) unstable; urgency=low
 .
   * Rename libvorbis0 -> libvorbis0a to keep packages from upgrading to it
     by mistake. (Closes: #156227, #156365, #161961, #171548, #172466,
     #172469, #178756)
   * GNU config automated update: config.sub (20020621 to 20030103),
     config.guess (20020529 to 20030110)
Files: 
 6d52f8a6d66ad3f478832c0f2cf34d5e 678 libs optional libvorbis_1.0.0-2.dsc
 84c2430ef6d2f422792b31cdcd70dab4 8197 libs optional libvorbis_1.0.0-2.diff.gz
 b78525bd2932d4d7936f3272050c9d80 64304 libs optional libvorbis0a_1.0.0-2_i386.deb
 77c0075f393d88f53d5851c34c12812b 78184 libs optional libvorbisenc2_1.0.0-2_i386.deb
 463d3c347c3b9605db2abfee2ea9815a 15838 libs optional libvorbisfile3_1.0.0-2_i386.deb
 63c983591d2f679b19f4fd5499a12721 461342 devel optional libvorbis-dev_1.0.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+akEo0QZas444SvIRAgZ/AJ47X/P3mfk+J8ZUEFk6pEJqdLb5UQCgmAEe
2MuEvMqr3wft/Mi49+6eb84=
=u1n1
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:12:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.